summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author Ryan P.C. McQuen2014-01-21 06:03:58 +0100
committer Erik Hanson2014-01-30 06:21:08 +0100
commit27727f49473543cd41d7d27d03730385fbdefc63 (patch)
treea3f73a6bf205d7dcbc15dda7d802777dd957a71f /desktop
parent9fdf8bd8a23af2663ba2be7b50de1bbbb5a9e546 (diff)
downloadslackbuilds-27727f49473543cd41d7d27d03730385fbdefc63.tar.gz
desktop/superkey-launch: Added (app launcher).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/superkey-launch/README10
-rw-r--r--desktop/superkey-launch/slack-desc19
-rw-r--r--desktop/superkey-launch/superkey-launch.SlackBuild98
-rw-r--r--desktop/superkey-launch/superkey-launch.info10
4 files changed, 137 insertions, 0 deletions
diff --git a/desktop/superkey-launch/README b/desktop/superkey-launch/README
new file mode 100644
index 0000000000..b5c1eec5f7
--- /dev/null
+++ b/desktop/superkey-launch/README
@@ -0,0 +1,10 @@
+superkey-launch allows you to open KRunner in KDE using the Super key
+as well as the app launcher in XFCE and Mate.
+
+If you hold down the Super key it will still act as a modifier key,
+allowing you to use it for other keyboard shortcuts.
+
+superkey-launch is desktop agnostic.
+
+superkey-launch is a small application that runs in the background as a daemon
+It was forked from xcape by Albin Olsson: https://github.com/alols/xcape \ No newline at end of file
diff --git a/desktop/superkey-launch/slack-desc b/desktop/superkey-launch/slack-desc
new file mode 100644
index 0000000000..5cd8d7545a
--- /dev/null
+++ b/desktop/superkey-launch/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+superkey-launch: superkey-launch (app launcher)
+superkey-launch:
+superkey-launch: superkey-launch binds the super key to alt + f2.
+superkey-launch: This allows app launchers in many desktop environments
+superkey-launch: to be easily launched, while still allowing the super key
+superkey-launch: to be used as a modifier key.
+superkey-launch:
+superkey-launch:
+superkey-launch:
+superkey-launch: https://github.com/ryanpcmcquen/superkey-launch
+superkey-launch:
diff --git a/desktop/superkey-launch/superkey-launch.SlackBuild b/desktop/superkey-launch/superkey-launch.SlackBuild
new file mode 100644
index 0000000000..f12c83e9d6
--- /dev/null
+++ b/desktop/superkey-launch/superkey-launch.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+
+# Slackware build script for superkey-launch
+
+# Copyright (c) 2014 Ryan P.C. McQuen
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above copyright
+# notice, this list of conditions and the following disclaimer in the
+# documentation and/or other materials provided with the distribution.
+# * Neither the name of Tom Canich nor the names of other contributors
+# may be used to endorse or promote products derived from this
+# software without specific prior written permission.
+#
+# THIS SOFTWARE IS PROVIDED BY Tom Canich ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN
+# NO EVENT SHALL Tom Canich BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED
+# TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS # INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER # IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
+# EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=superkey-launch
+VERSION=${VERSION:-0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM
+
+make \
+ OPTS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man \
+ X11INC=/usr/include \
+ X11LIB=/usr/lib${LIBDIRSUFFIX}/X11
+
+make install \
+ OPTS="$SLKCFLAGS" \
+ PREFIX=/usr \
+ MANPREFIX=/usr/man \
+ X11INC=/usr/include \
+ X11LIB=/usr/lib${LIBDIRSUFFIX}/X11 \
+ DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/superkey-launch/superkey-launch.info b/desktop/superkey-launch/superkey-launch.info
new file mode 100644
index 0000000000..82a2b2d3cd
--- /dev/null
+++ b/desktop/superkey-launch/superkey-launch.info
@@ -0,0 +1,10 @@
+PRGNAM="superkey-launch"
+VERSION="0.3"
+HOMEPAGE="https://github.com/ryanpcmcquen/superkey-launch"
+DOWNLOAD="https://raw2.github.com/ryanpcmcquen/superkey-launch/master/superkey-launch-0.3.tar.gz"
+MD5SUM="5da33d66535e9451ee065b1e55d793c2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Ryan P.C. McQuen"
+EMAIL="ryan.q@linux.com"